Issue 106617

Summary: printing with Envelope orientation vertical in upper right corner prints centered instead
Product: Writer Reporter: sriesch <sriesch>
Component: printingAssignee: AOO issues mailing list <issues>
Status: CONFIRMED --- QA Contact:
Severity: Trivial    
Priority: P3 CC: elton.woo, h.ilter, issues, philipp.lohmann
Version: OOo 3.1.1   
Target Milestone: ---   
Hardware: PC   
OS: All   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---
Attachments:
Description Flags
envelope orientation icons none

Description sriesch 2009-11-04 21:23:24 UTC
DESCRIPTION: To print an envelope centered vertically in the print tray, one
must choose the wrong envelope orientation icon, that of an envelope being
printed vertically in the upper right corner.
  If it matters in any way, my printer is an HP LaserJet 1200 Series PCL.

TO DUPLICATE:  From the menu bar, select Insert > Envelope.  In the Printer
tab's Envelope orientation area, select the righthand icon (which shows an
envelope placed vertically in the upper right corner.)  Place a #10 standard
business envelope centered in the tray.  Press the print button on the toolbar,
and note that it prints perfectly even though the wrong icon was selected.  Now
select the envelope orientation icon that shows an envelope being printed
vertically centered and print, and note that the return address which should
have been in the upper left corner is closer to the center of the envelope.
Comment 1 sriesch 2009-11-04 21:24:56 UTC
Created attachment 65935 [details]
envelope orientation icons
Comment 2 eric.savary 2009-11-05 10:27:24 UTC
@HI: Please have a look.
Comment 3 eric.savary 2009-11-20 12:22:19 UTC
Reassigned to HI
Comment 4 h.ilter 2009-11-23 11:11:34 UTC
Seems to be double to i27207
Comment 5 h.ilter 2010-04-12 13:01:48 UTC
Typo in comments from hi Mon Nov 23 11:11:34 +0000 2009 -------
correct would be i29924

Hopefully target set to 3.3 
Comment 6 h.ilter 2010-04-14 11:13:35 UTC
*** Issue 110087 has been marked as a duplicate of this issue. ***
Comment 7 h.ilter 2010-04-14 11:17:55 UTC
Correction from comment Mon Nov 23 11:11:34 +0000 2009
The failure of envelope printing could be caused by the UI or by code.
The code issue is 29924, The UI issue is this one
Comment 8 eltonw 2010-05-06 15:14:38 UTC
I reported tbis as issue 110087 (March 12, 2010), which is now closed as a duplicate of this bug 
106617. 
The envelope printout is sent to the wrong side of the printer. Strangely it seems to be fixed in 
Ubuntu linux, but still persists in Mac OSX.


Printer: HP Photosmart C4345 [envelopes must be fed lengthwise in this machine for printing, i.e. 
the same edge as the 11" RIGHT side of a standard letter. 

Open Office 3.2.0 
OOO320m12 (Build:9483) 
in Ubuntu (10.4) Lucid Lynx LTS: print is *now* sent to the right side (correct side) of printer.

/REM: Previously in Ubuntu 9.10 (Karmic Kola) the output was the same as with Mac OSX 10.6.3 
(Snow Leopard) as reported below

in Mac OSX 10.6.3 (Build 10D573) print is sent to the LEFT side (wrong side of printer) so that 
envelope comes out blank. However if a standard letter-size sheet is placed in the sheet feeder, 
one can verify that the print output is sent to the LEFT of the printer.

I tested the same en DL envelope in both OSes and on different machines. Ubuntu is on an ASUS 
netbook, and OSX is on a PowerBook.

Could this be related to fixes / updates to the OS 'breaking' something in Open Office?

I do not print envelopes that often, so I thought that I may have (somehow) corrupted the system. 
On the PowerBook, I did a clean install of OSX Snow Leopard, and a fresh download of Open Office 
3.2.0. As stated above, the problem still persists.

In the case of linux, I did a clean install of Ubuntu Lucid 10.4 in place of Karmic 9.10, and the 
problem no longer exists.

/REM: In both Ubuntu lInux and Mac OSX the icons are the same. There is no "rotation icon' for 
printing envelopes.
Comment 9 eltonw 2010-05-08 20:18:15 UTC
As a test, I completely removed OOO320m12 (Build:9483), including a reboot of the system. Then I 
downloaded and installed the development version: OOo-dev 3.2.1 / OOO32m16 (Build:9497). 

I have now confirmed that the problem *still* persists. 

Envelope must be fed on the right side of the printer but the output is done on the left of the printer.
This is in OSX 10.6.3.
Comment 10 eltonw 2010-05-08 22:17:14 UTC
By way of comparison:

Installed the following: Neo Office, and Open Office Aqua.

Result NeoOffice 3.0.2 Patch 4 prints envelopes *as it should*.
Open Office 3.0.2 OOO320m12 (Build 9483) sends output for the envelope to the *wrong* side of 
the platen. As such, I will (regrettably) dump OpenOffice from my macintosh. 

...hopefully this will be corrected by the time OO 3.3 is released.

respectfully,
Comment 11 eltonw 2010-09-08 19:53:11 UTC
I submitted a bug: 110087 which is now shown as "closed / duplicate". The same problem is still 
there in the OOo-dev 3.3.0 OOO33om3 (build 9519). 
Envelope fed on right side of printer is not printed. Output is printed on the LEFT side of the platen.

FWIW: Using NeoOffice envelopes print properly (fed on right side, output printed on right side of 
platen).

PRINTER MODEL: HP PHOTOSMART C-4345 All-in-One
OS: Mac OS X version 10.6.4 Build 10F569.

Why is this still persistent in 3.3? 

... While writing this on my MacBook, I am able to verify that the problem DOES EXIST, by printing 
an envelope [DL, saved as .ODT] ... and using a standard letter-size sheet. Output os printed on 
the left side of the sheet, rather than on the right side (which is where the envelope would be).

Printing envelopes from a wordprocessor should be worry-free and automatic!
Comment 12 Martin Hollmichel 2011-03-16 11:42:58 UTC
set target 3.x since not relevant for 3.4 release.
Comment 13 eltonw 2011-03-17 16:01:28 UTC
I have downloaded 3.3.0 [OOO330m20, Build:9567] for OSX. 

          TODAY, 17 March, 2011:

Just tested a #9 envelope template (printed to a standard letter-size 8 1/2" x 11" sheet). 

I can confirm that this problem STILL exists!

The envelope can only be fed on the RIGHT side of the printer, but output is printed on the LEFT side. 

Printer: HEWLETT PACKARD C4345 All-in-One
OS: OS/X 10.6.6, Build: 10J567.

        This is VERY DISCOURAGING.
 
A basic and *necessary* function of a word-processor is to be able to print envelopes *reliably and with ease*.

Related bugs:
Issue 110087
Issue 106617
Comment 14 Marcus 2017-05-20 11:15:19 UTC
Reset assigne to the default "issues@openoffice.apache.org".